Question: Install ABSOLUTE Error
0
gravatar for Alejandro Jimenez Sanchez
2.8 years ago by
Cancer Research UK Cambridge Institute, University of Cambridge, Cambridge, UK

Hello,

A while ago I ran ABSOLUTE and I have the script I used.

I want to run it again but when I do:

library(ABSOLUTE)

I get:

Error in library(ABSOLUTE) : there is no package called ‘ABSOLUTE’

If I do:

install.packages("ABSOLUTE", lib="/Library/Frameworks/R.framework/Versions/3.3/Resources/library")

I get:

Warning in install.packages :
  package ‘ABSOLUTE’ is not available (for R version 3.3.1)

As I said, I ran this code a while ago, and I'm sure I updated R at some point.

I have the files that come with ABSOLUTE, but I don't remember how to install the package.

Any help would be very much appreciated.

package R absolute • 1.9k views
ADD COMMENTlink modified 2.5 years ago by youcai50 • written 2.8 years ago by Alejandro Jimenez Sanchez120
3
gravatar for Alejandro Jimenez Sanchez
2.8 years ago by
Cancer Research UK Cambridge Institute, University of Cambridge, Cambridge, UK

I've found the solution.

I downloaded again the tar.gz file and installed the package from source by doing:

R CMD INSTALL ABSOLUTE_1.0.6.tar.gz

In the directory where the tar.gz file was located.

Then, doing:

library(ABSOLUTE)

Works.

I'll leave this here in case someone needs it in the future, or - perhaps more likely - in case I need it in the future. :)

ADD COMMENTlink modified 2.8 years ago • written 2.8 years ago by Alejandro Jimenez Sanchez120
2
gravatar for youcai
2.5 years ago by
youcai50
Shenzhen
youcai50 wrote:

for version 1.2, these can work directly

devtools::install_github("6Youcai/ABSOLUTE")
ADD COMMENTlink written 2.5 years ago by youcai50
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 2.3.0
Traffic: 1807 users visited in the last hour